BasicScrollBarUI.ScrollListener (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicScrollBarUI, class: ScrollListener
Keywords: javax.swing.plaf.basic.BasicScrollBarUI.ScrollListener class

# Class BasicScrollBarUI.ScrollListener

java.lang.Object
javax.swing.plaf.basic.BasicScrollBarUI.ScrollListener

All Implemented Interfaces:
  `ActionListener, EventListener`

Enclosing class:
  `BasicScrollBarUI`

protected class BasicScrollBarUI.ScrollListener extends Object implements ActionListener
Listener for scrolling events initiated in the `ScrollPane`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScrollListener()`
  Constructs a `ScrollListener`.
  `ScrollListener(int dir, boolean block)`
  Constructs a `ScrollListener`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  Invoked when an action occurs.
  `void`
  `setDirection(int direction)`
  Sets the direction.
  `void`
  `setScrollByBlock(boolean block)`
  Sets the scrolling by block

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ScrollListener

    public ScrollListener()
    Constructs a `ScrollListener`.

  - ### ScrollListener

    public ScrollListener(int dir, boolean block)
    Constructs a `ScrollListener`.
    Parameters:
      `dir` - direction
      `block` - use block increment

- ## Method Details

  - ### setDirection

    public void setDirection(int direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### setScrollByBlock

    public void setScrollByBlock(boolean block)
    Sets the scrolling by block
    Parameters:
      `block` - whether or not to scroll by block

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    Invoked when an action occurs.
    Specified by:
      `actionPerformed` in interface `ActionListener`
    Parameters:
      `e` - the event to be processed